#pragma once

#include "GameObject.h"


class Particle : public GameObject
{
  public:

    float         SizeFactor;
    unsigned int  Color;
    float         LifeTime;
    float         AliveTime;
    float         DX;
    float         DY;



    Particle();


    virtual void Display();
    virtual void Update( Level& Level, float ElapsedTime );

};

